### Class

# Devhelp Settings

#### Description

    class Devhelp.Settings : GObject.Object {
      parent: GObject,
      priv: DhSettingsPrivate*
    }

No description available.

#### Ancestors

- GObject

#### Functions

###### dh_settings_get_default

Gets the default `DhSettings` object. It has the default `GSettings` paths (see `DhSettingsBuilder`) and `dh_settings_bind_all()` has been called.

Available since: 3.30

#### Instance methods

###### dh_settings_bind_all

Binds all the `DhSettings` properties to their corresponding `GSettings` keys.

Available since: 3.30

###### dh_settings_bind_fonts

Binds the `DhSettings:use-system-fonts`, `DhSettings:variable-font` and `DhSettings:fixed-font` properties to their corresponding `GSettings` keys.

Available since: 3.30

###### dh_settings_bind_group_books_by_language

Binds the `DhSettings:group-books-by-language` property to the corresponding `GSettings` key.

Available since: 3.30

###### dh_settings_freeze_books_disabled_changed

Tells `settings` to not emit the `DhSettings::books-disabled-changed` signal until `dh_settings_thaw_books_disabled_changed()` is called.

Available since: 3.30

###### dh_settings_get_fixed_font

function instead, to take into account the `DhSettings:use-system-fonts` property.

Available since: 3.30

###### dh_settings_get_group_books_by_language

No description available.

Available since: 3.30

###### dh_settings_get_selected_fonts

If `DhSettings:use-system-fonts` is `TRUE`, returns the system fonts. Otherwise returns the values of the `DhSettings:variable-font` and `DhSettings:fixed-font` properties.

Available since: 3.30

###### dh_settings_get_use_system_fonts

No description available.

Available since: 3.30

###### dh_settings_get_variable_font

function instead, to take into account the `DhSettings:use-system-fonts` property.

Available since: 3.30

###### dh_settings_is_book_enabled

Returns whether `book` is enabled according to the “books-disabled” `GSettings` key. If the `book` ID is present in “books-disabled”, this function returns `FALSE`, otherwise `TRUE` is returned.

Available since: 3.30

###### dh_settings_set_book_enabled

Modifies the “books-disabled” `GSettings` key. It adds or removes the `book` ID from “books-disabled”.

Available since: 3.30

###### dh_settings_set_fixed_font

Sets the `DhSettings:fixed-font` property.

Available since: 3.30

###### dh_settings_set_group_books_by_language

Sets the `DhSettings:group-books-by-language` property.

Available since: 3.30

###### dh_settings_set_use_system_fonts

Sets the `DhSettings:use-system-fonts` property.

Available since: 3.30

###### dh_settings_set_variable_font

Sets the `DhSettings:variable-font` property.

Available since: 3.30

###### dh_settings_thaw_books_disabled_changed

Stops the effect of dh_settings_freeze_books_disabled_changed(), and emits the `DhSettings::books-disabled-changed` signal.

Available since: 3.30

##### Methods inherited from GObject (43)

#### Properties

###### Devhelp.Settings:fixed-font

Font for text with fixed width, such as code examples.

Available since: 3.30

###### Devhelp.Settings:group-books-by-language

Whether books should be grouped by programming language in the UI.

Available since: 3.30

###### Devhelp.Settings:use-system-fonts

Whether to use the system default fonts.

Available since: 3.30

###### Devhelp.Settings:variable-font

Font for text with variable width.

Available since: 3.30

#### Signals

###### Devhelp.Settings::books-disabled-changed

The ::books-disabled-changed signal is emitted when the “books-disabled” `GSettings` key changes.

Available since: 3.30

###### Devhelp.Settings::fonts-changed

The ::fonts-changed signal is emitted when the return values of `dh_settings_get_selected_fonts()` have potentially changed.

Available since: 3.30

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct DevhelpSettingsClass {
      GObjectClass parent;
      void (* books_disabled_changed) (
        DhSettings* settings
      );
      void (* fonts_changed) (
        DhSettings* settings
      );
      None padding;

    }

###### Class members

`parent` |
    GObjectClass
| No description available.
`books_disabled_changed` |
    void (* books_disabled_changed) (
        DhSettings* settings
      )
| No description available.
`fonts_changed` |
    void (* fonts_changed) (
        DhSettings* settings
      )
| No description available.
`padding` |
    None
| No description available.

#### Virtual methods

###### Devhelp.SettingsClass.books_disabled_changed

No description available.

###### Devhelp.SettingsClass.fonts_changed

No description available.